texinfo-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[5661] l at first node


From: Gavin D. Smith
Subject: [5661] l at first node
Date: Fri, 13 Jun 2014 11:53:50 +0000

Revision: 5661
          http://svn.sv.gnu.org/viewvc/?view=rev&root=texinfo&revision=5661
Author:   gavin
Date:     2014-06-13 11:53:48 +0000 (Fri, 13 Jun 2014)
Log Message:
-----------
l at first node

Modified Paths:
--------------
    trunk/ChangeLog
    trunk/info/Makefile.am
    trunk/info/session.c
    trunk/info/t/infodir/split.info-1

Added Paths:
-----------
    trunk/info/t/last-no-history.drib
    trunk/info/t/last-no-history.sh

Modified: trunk/ChangeLog
===================================================================
--- trunk/ChangeLog     2014-06-12 10:18:31 UTC (rev 5660)
+++ trunk/ChangeLog     2014-06-13 11:53:48 UTC (rev 5661)
@@ -1,3 +1,9 @@
+2014-06-13  Gavin Smith  <address@hidden>
+
+       * info/session.c (forget_node): Don't forget the last node in the
+       history.
+       * info/t/last-no-history.sh: New test.
+
 2014-06-12  Gavin Smith  <address@hidden>
 
        * info/info.h, info/makedoc.c, info/doc.h, info/infomap.c,

Modified: trunk/info/Makefile.am
===================================================================
--- trunk/info/Makefile.am      2014-06-12 10:18:31 UTC (rev 5660)
+++ trunk/info/Makefile.am      2014-06-13 11:53:48 UTC (rev 5661)
@@ -114,6 +114,7 @@
        t/tab.sh \
        t/body-start.sh \
        t/end-of-line.sh \
+       t/last-no-history.sh \
        t/index.sh \
        t/index-apropos.sh \
        t/split-index.sh \

Modified: trunk/info/session.c
===================================================================
--- trunk/info/session.c        2014-06-12 10:18:31 UTC (rev 5660)
+++ trunk/info/session.c        2014-06-13 11:53:48 UTC (rev 5661)
@@ -310,7 +310,7 @@
 forget_node (WINDOW *win)
 {
   int i = win->hist_index;
-  if (i == 0)
+  if (i == 1)
     return;
 
   free_history_node (win->hist[i - 1]->node);

Modified: trunk/info/t/infodir/split.info-1
===================================================================
(Binary files differ)

Added: trunk/info/t/last-no-history.drib
===================================================================
--- trunk/info/t/last-no-history.drib                           (rev 0)
+++ trunk/info/t/last-no-history.drib   2014-06-13 11:53:48 UTC (rev 5661)
@@ -0,0 +1 @@
+lq
\ No newline at end of file

Added: trunk/info/t/last-no-history.sh
===================================================================
--- trunk/info/t/last-no-history.sh                             (rev 0)
+++ trunk/info/t/last-no-history.sh     2014-06-13 11:53:48 UTC (rev 5661)
@@ -0,0 +1,26 @@
+#!/bin/sh
+# Copyright (C) 2014 Free Software Foundation, Inc.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3, or (at your option)
+# any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+
+srcdir=${srcdir:-.}
+. $srcdir/t/Init-test.inc
+. $t/Init-intera.inc
+
+# Try to go back in history when there is no earlier node
+$GINFO -f intera --restore $t/last-no-history.drib
+RETVAL=$?
+
+. $t/Cleanup.inc
+


Property changes on: trunk/info/t/last-no-history.sh
___________________________________________________________________
Added: svn:executable
   + *




reply via email to

[Prev in Thread] Current Thread [Next in Thread]